Doomsday Engine - Feature #2207

Fast Monsters option in the Options > Gameplay menu
2017-03-04 09:23 - skyjake

Status: Closed Start date: 2017-03-04
Priority: Low % Done: 100%
Assignee: skyjake

Category: Enhancement

Target version: 2.0 — Home Ul & Packages

Description

The fast monsters option should be exposed as a setting in the Options > Gameplay menu. Previously it has only been a
command-line option (-fast).

Related issues:
Related to Feature #1604: Game rules (1p and MP) New
Related to Feature #1516: [Heretic|Hexen] Add Doom-like option for fast monsters New 2010-04-13

Associated revisions

Revision 550dd50c - 2017-03-04 10:51 - skyjake

Doom|Menu: Added Fast Monsters menu option, cvar “game-monsters-fast”

IssuelD #2207

Revision 8d121d97 - 2017-03-04 12:52 - skyjake

Doom|Menu: Added Fast Monsters menu option, cvar “game-monsters-fast”

IssuelD #2207

History

#1 - 2017-03-04 10:08 - vermil

It would be cool to see the option for fast monsters extended to Heretic and HeXen as well; they lack this command line option and extending support
to these games has been requested before on both forum and tracker.

But really, this is just the tip of the iceberg; adding all gameplay command line options to the console and/or Ul of all games (i.e turbo, no monsters,
skill level etc. Naturally some of which would only take effect on a level reload and/or player death). The once planned/still planned 'game rules'
feature basically.

#2 - 2017-03-04 10:09 - skyjake
- Related to Feature #1604: Game rules (1p and MP) added

#3 - 2017-03-04 10:13 - skyjake
- Related to Feature #1516: [Heretic|Hexen] Add Doom-like option for fast monsters added

#4 - 2017-03-04 10:52 - skyjake
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

#5 - 2017-03-04 21:39 - skyjake
- Status changed from Resolved to Closed

- Priority changed from Normal to Low
